Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config
Class CustomLevels

    java.lang.Object
      org.apache.logging.log4j.core.config.CustomLevels

    @Plugin(name="CustomLevels",
            category="Core",
            printObject=true)
    public final class CustomLevels

extends Object

Container for CustomLevelConfig objects.

Method Summary
`static CustomLevels` | `createCustomLevels(CustomLevelConfig[] customLevels)` Create a CustomLevels object to contain all the CustomLevelConfigs.
`List<CustomLevelConfig>` | `getCustomLevels()` Returns a list of the `CustomLevelConfig` objects created during configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createCustomLevels

    @PluginFactory
    public static CustomLevels createCustomLevels(@PluginElement(value="CustomLevels")
                                                                CustomLevelConfig[] customLevels)

  Create a CustomLevels object to contain all the CustomLevelConfigs.

  Parameters:
    `customLevels` - An array of CustomLevelConfigs.
  Returns:
    A CustomLevels object.

### getCustomLevels

    public List<CustomLevelConfig> getCustomLevels()

  Returns a list of the `CustomLevelConfig` objects created during configuration.

  Returns:
    the configured custom levels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.